# GstRTPPayloadInfo

The GstRTPPayloads helper functions makes it easy to deal with static and dynamic payloads. Its main purpose is to retrieve properties such as the default clock-rate and get session bandwidth information.

## GstRTPPayloadInfo

Structure holding default payload type information.

### Members

`payload_type` (guint8) –

payload type, -1 means dynamic

`media` (const gchar *) –

the media type(s), usually "audio", "video", "application", "text", "message".

`encoding_name` (const gchar *) –

the encoding name of pt

`clock_rate` (guint) –

default clock rate, 0 = unknown/variable

`encoding_parameters` (const gchar *) –

encoding parameters. For audio this is the number of channels. NULL = not applicable.

`bitrate` (guint) –

the bitrate of the media. 0 = unknown/variable.

## GstRtp.RTPPayloadInfo

Structure holding default payload type information.

### Members

`payload_type` (Number) –

payload type, -1 means dynamic

`media` (String) –

the media type(s), usually "audio", "video", "application", "text", "message".

`encoding_name` (String) –

the encoding name of pt

`clock_rate` (Number) –

default clock rate, 0 = unknown/variable

`encoding_parameters` (String) –

encoding parameters. For audio this is the number of channels. NULL = not applicable.

`bitrate` (Number) –

the bitrate of the media. 0 = unknown/variable.

## GstRtp.RTPPayloadInfo

Structure holding default payload type information.

### Members

`payload_type` (int) –

payload type, -1 means dynamic

`media` (str) –

the media type(s), usually "audio", "video", "application", "text", "message".

`encoding_name` (str) –

the encoding name of pt

`clock_rate` (int) –

default clock rate, 0 = unknown/variable

`encoding_parameters` (str) –

encoding parameters. For audio this is the number of channels. NULL = not applicable.

`bitrate` (int) –

the bitrate of the media. 0 = unknown/variable.

### Functions

#### gst_rtp_payload_info_for_name

    const GstRTPPayloadInfo *
    gst_rtp_payload_info_for_name (const gchar * media,
                                   const gchar * encoding_name)

Get the GstRTPPayloadInfo for media and encoding_name. This function is mostly used to get the default clock-rate and bandwidth for dynamic payload types specified with media and encoding name.

The search for encoding_name will be performed in a case insensitive way.

Parameters:

`media` –

the media to find

`encoding_name` –

the encoding name to find

Returns ( [nullable]) –

a GstRTPPayloadInfo or NULL when no info could be found.

#### GstRtp.RTPPayloadInfo.prototype.for_name

    function GstRtp.RTPPayloadInfo.prototype.for_name(media: String, encoding_name: String): {
        // javascript wrapper for 'gst_rtp_payload_info_for_name'
    }

Get the GstRtp.RTPPayloadInfo for media and encoding_name. This function is mostly used to get the default clock-rate and bandwidth for dynamic payload types specified with media and encoding name.

The search for encoding_name will be performed in a case insensitive way.

Parameters:

`media` (String) –

the media to find

`encoding_name` (String) –

the encoding name to find

Returns (GstRtp.RTPPayloadInfo) –

a GstRtp.RTPPayloadInfo or NULL when no info could be found.

#### GstRtp.RTPPayloadInfo.for_name

    def GstRtp.RTPPayloadInfo.for_name (media, encoding_name):
        #python wrapper for 'gst_rtp_payload_info_for_name'

Get the GstRtp.RTPPayloadInfo for media and encoding_name. This function is mostly used to get the default clock-rate and bandwidth for dynamic payload types specified with media and encoding name.

The search for encoding_name will be performed in a case insensitive way.

Parameters:

`media` (str) –

the media to find

`encoding_name` (str) –

the encoding name to find

Returns (GstRtp.RTPPayloadInfo) –

a GstRtp.RTPPayloadInfo or NULL when no info could be found.

#### gst_rtp_payload_info_for_pt

    const GstRTPPayloadInfo *
    gst_rtp_payload_info_for_pt (guint8 payload_type)

Get the GstRTPPayloadInfo for payload_type. This function is mostly used to get the default clock-rate and bandwidth for static payload types specified with payload_type.

Parameters:

`payload_type` –

the payload_type to find

Returns ( [nullable]) –

a GstRTPPayloadInfo or NULL when no info could be found.

#### GstRtp.RTPPayloadInfo.prototype.for_pt

    function GstRtp.RTPPayloadInfo.prototype.for_pt(payload_type: Number): {
        // javascript wrapper for 'gst_rtp_payload_info_for_pt'
    }

Get the GstRtp.RTPPayloadInfo for payload_type. This function is mostly used to get the default clock-rate and bandwidth for static payload types specified with payload_type.

Parameters:

`payload_type` (Number) –

the payload_type to find

Returns (GstRtp.RTPPayloadInfo) –

a GstRtp.RTPPayloadInfo or NULL when no info could be found.

#### GstRtp.RTPPayloadInfo.for_pt

    def GstRtp.RTPPayloadInfo.for_pt (payload_type):
        #python wrapper for 'gst_rtp_payload_info_for_pt'

Get the GstRtp.RTPPayloadInfo for payload_type. This function is mostly used to get the default clock-rate and bandwidth for static payload types specified with payload_type.

Parameters:

`payload_type` (int) –

the payload_type to find

Returns (GstRtp.RTPPayloadInfo) –

a GstRtp.RTPPayloadInfo or NULL when no info could be found.

## Function Macros

### GST_RTP_PAYLOAD_IS_DYNAMIC

    #define GST_RTP_PAYLOAD_IS_DYNAMIC(pt) ((pt) >= 96 && (pt) <= 127)

Check if pt is a dynamic payload type.

Parameters:

`pt` –

a payload type

## Enumerations

### GstRTPPayload

Standard predefined fixed payload types.

The official list is at: http://www.iana.org/assignments/rtp-parameters

Audio: reserved: 19 unassigned: 20-23,

Video: unassigned: 24, 27, 29, 30, 35-71, 77-95 Reserved for RTCP conflict avoidance: 72-76

##### Members

`GST_RTP_PAYLOAD_PCMU` (0) –

ITU-T G.711. mu-law audio (RFC 3551)

`GST_RTP_PAYLOAD_1016` (1) –

RFC 3551 says reserved

`GST_RTP_PAYLOAD_G721` (2) –

RFC 3551 says reserved

`GST_RTP_PAYLOAD_GSM` (3) –

GSM audio

`GST_RTP_PAYLOAD_G723` (4) –

ITU G.723.1 audio

`GST_RTP_PAYLOAD_DVI4_8000` (5) –

IMA ADPCM wave type (RFC 3551)

`GST_RTP_PAYLOAD_DVI4_16000` (6) –

IMA ADPCM wave type (RFC 3551)

`GST_RTP_PAYLOAD_LPC` (7) –

experimental linear predictive encoding

`GST_RTP_PAYLOAD_PCMA` (8) –

ITU-T G.711 A-law audio (RFC 3551)

`GST_RTP_PAYLOAD_G722` (9) –

ITU-T G.722 (RFC 3551)

`GST_RTP_PAYLOAD_L16_STEREO` (10) –

stereo PCM

`GST_RTP_PAYLOAD_L16_MONO` (11) –

mono PCM

`GST_RTP_PAYLOAD_QCELP` (12) –

EIA & TIA standard IS-733

`GST_RTP_PAYLOAD_CN` (13) –

Comfort Noise (RFC 3389)

`GST_RTP_PAYLOAD_MPA` (14) –

Audio MPEG 1-3.

`GST_RTP_PAYLOAD_G728` (15) –

ITU-T G.728 Speech coder (RFC 3551)

`GST_RTP_PAYLOAD_DVI4_11025` (16) –

IMA ADPCM wave type (RFC 3551)

`GST_RTP_PAYLOAD_DVI4_22050` (17) –

IMA ADPCM wave type (RFC 3551)

`GST_RTP_PAYLOAD_G729` (18) –

ITU-T G.729 Speech coder (RFC 3551)

`GST_RTP_PAYLOAD_CELLB` (25) –

See RFC 2029

`GST_RTP_PAYLOAD_JPEG` (26) –

ISO Standards 10918-1 and 10918-2 (RFC 2435)

`GST_RTP_PAYLOAD_NV` (28) –

nv encoding by Ron Frederick

`GST_RTP_PAYLOAD_H261` (31) –

ITU-T Recommendation H.261 (RFC 2032)

`GST_RTP_PAYLOAD_MPV` (32) –

Video MPEG 1 & 2 (RFC 2250)

`GST_RTP_PAYLOAD_MP2T` (33) –

MPEG-2 transport stream (RFC 2250)

`GST_RTP_PAYLOAD_H263` (34) –

Video H263 (RFC 2190)

### GstRtp.RTPPayload

Standard predefined fixed payload types.

The official list is at: http://www.iana.org/assignments/rtp-parameters

Audio: reserved: 19 unassigned: 20-23,

Video: unassigned: 24, 27, 29, 30, 35-71, 77-95 Reserved for RTCP conflict avoidance: 72-76

##### Members

`GstRtp.RTPPayload.PCMU` (0) –

ITU-T G.711. mu-law audio (RFC 3551)

`GstRtp.RTPPayload.1016` (1) –

RFC 3551 says reserved

`GstRtp.RTPPayload.G721` (2) –

RFC 3551 says reserved

`GstRtp.RTPPayload.GSM` (3) –

GSM audio

`GstRtp.RTPPayload.G723` (4) –

ITU G.723.1 audio

`GstRtp.RTPPayload.DVI4_8000` (5) –

IMA ADPCM wave type (RFC 3551)

`GstRtp.RTPPayload.DVI4_16000` (6) –

IMA ADPCM wave type (RFC 3551)

`GstRtp.RTPPayload.LPC` (7) –

experimental linear predictive encoding

`GstRtp.RTPPayload.PCMA` (8) –

ITU-T G.711 A-law audio (RFC 3551)

`GstRtp.RTPPayload.G722` (9) –

ITU-T G.722 (RFC 3551)

`GstRtp.RTPPayload.L16_STEREO` (10) –

stereo PCM

`GstRtp.RTPPayload.L16_MONO` (11) –

mono PCM

`GstRtp.RTPPayload.QCELP` (12) –

EIA & TIA standard IS-733

`GstRtp.RTPPayload.CN` (13) –

Comfort Noise (RFC 3389)

`GstRtp.RTPPayload.MPA` (14) –

Audio MPEG 1-3.

`GstRtp.RTPPayload.G728` (15) –

ITU-T G.728 Speech coder (RFC 3551)

`GstRtp.RTPPayload.DVI4_11025` (16) –

IMA ADPCM wave type (RFC 3551)

`GstRtp.RTPPayload.DVI4_22050` (17) –

IMA ADPCM wave type (RFC 3551)

`GstRtp.RTPPayload.G729` (18) –

ITU-T G.729 Speech coder (RFC 3551)

`GstRtp.RTPPayload.CELLB` (25) –

See RFC 2029

`GstRtp.RTPPayload.JPEG` (26) –

ISO Standards 10918-1 and 10918-2 (RFC 2435)

`GstRtp.RTPPayload.NV` (28) –

nv encoding by Ron Frederick

`GstRtp.RTPPayload.H261` (31) –

ITU-T Recommendation H.261 (RFC 2032)

`GstRtp.RTPPayload.MPV` (32) –

Video MPEG 1 & 2 (RFC 2250)

`GstRtp.RTPPayload.MP2T` (33) –

MPEG-2 transport stream (RFC 2250)

`GstRtp.RTPPayload.H263` (34) –

Video H263 (RFC 2190)

### GstRtp.RTPPayload

Standard predefined fixed payload types.

The official list is at: http://www.iana.org/assignments/rtp-parameters

Audio: reserved: 19 unassigned: 20-23,

Video: unassigned: 24, 27, 29, 30, 35-71, 77-95 Reserved for RTCP conflict avoidance: 72-76

##### Members

`GstRtp.RTPPayload.PCMU` (0) –

ITU-T G.711. mu-law audio (RFC 3551)

`GstRtp.RTPPayload.1016` (1) –

RFC 3551 says reserved

`GstRtp.RTPPayload.G721` (2) –

RFC 3551 says reserved

`GstRtp.RTPPayload.GSM` (3) –

GSM audio

`GstRtp.RTPPayload.G723` (4) –

ITU G.723.1 audio

`GstRtp.RTPPayload.DVI4_8000` (5) –

IMA ADPCM wave type (RFC 3551)

`GstRtp.RTPPayload.DVI4_16000` (6) –

IMA ADPCM wave type (RFC 3551)

`GstRtp.RTPPayload.LPC` (7) –

experimental linear predictive encoding

`GstRtp.RTPPayload.PCMA` (8) –

ITU-T G.711 A-law audio (RFC 3551)

`GstRtp.RTPPayload.G722` (9) –

ITU-T G.722 (RFC 3551)

`GstRtp.RTPPayload.L16_STEREO` (10) –

stereo PCM

`GstRtp.RTPPayload.L16_MONO` (11) –

mono PCM

`GstRtp.RTPPayload.QCELP` (12) –

EIA & TIA standard IS-733

`GstRtp.RTPPayload.CN` (13) –

Comfort Noise (RFC 3389)

`GstRtp.RTPPayload.MPA` (14) –

Audio MPEG 1-3.

`GstRtp.RTPPayload.G728` (15) –

ITU-T G.728 Speech coder (RFC 3551)

`GstRtp.RTPPayload.DVI4_11025` (16) –

IMA ADPCM wave type (RFC 3551)

`GstRtp.RTPPayload.DVI4_22050` (17) –

IMA ADPCM wave type (RFC 3551)

`GstRtp.RTPPayload.G729` (18) –

ITU-T G.729 Speech coder (RFC 3551)

`GstRtp.RTPPayload.CELLB` (25) –

See RFC 2029

`GstRtp.RTPPayload.JPEG` (26) –

ISO Standards 10918-1 and 10918-2 (RFC 2435)

`GstRtp.RTPPayload.NV` (28) –

nv encoding by Ron Frederick

`GstRtp.RTPPayload.H261` (31) –

ITU-T Recommendation H.261 (RFC 2032)

`GstRtp.RTPPayload.MPV` (32) –

Video MPEG 1 & 2 (RFC 2250)

`GstRtp.RTPPayload.MP2T` (33) –

MPEG-2 transport stream (RFC 2250)

`GstRtp.RTPPayload.H263` (34) –

Video H263 (RFC 2190)

## Constants

### GST_RTP_PAYLOAD_1016_STRING

    #define GST_RTP_PAYLOAD_1016_STRING "1"

### GstRtp.RTP_PAYLOAD_1016_STRING

### GST_RTP_PAYLOAD_CELLB_STRING

    #define GST_RTP_PAYLOAD_CELLB_STRING "25"

### GstRtp.RTP_PAYLOAD_CELLB_STRING

### GST_RTP_PAYLOAD_CN_STRING

    #define GST_RTP_PAYLOAD_CN_STRING "13"

### GstRtp.RTP_PAYLOAD_CN_STRING

### GST_RTP_PAYLOAD_DVI4_11025_STRING

    #define GST_RTP_PAYLOAD_DVI4_11025_STRING "16"

### GstRtp.RTP_PAYLOAD_DVI4_11025_STRING

### GST_RTP_PAYLOAD_DVI4_16000_STRING

    #define GST_RTP_PAYLOAD_DVI4_16000_STRING "6"

### GstRtp.RTP_PAYLOAD_DVI4_16000_STRING

### GST_RTP_PAYLOAD_DVI4_22050_STRING

    #define GST_RTP_PAYLOAD_DVI4_22050_STRING "17"

### GstRtp.RTP_PAYLOAD_DVI4_22050_STRING

### GST_RTP_PAYLOAD_DVI4_8000_STRING

    #define GST_RTP_PAYLOAD_DVI4_8000_STRING "5"

### GstRtp.RTP_PAYLOAD_DVI4_8000_STRING

### GST_RTP_PAYLOAD_DYNAMIC_STRING

    #define GST_RTP_PAYLOAD_DYNAMIC_STRING "[96, 127]"

### GstRtp.RTP_PAYLOAD_DYNAMIC_STRING

### GST_RTP_PAYLOAD_G721_STRING

    #define GST_RTP_PAYLOAD_G721_STRING "2"

### GstRtp.RTP_PAYLOAD_G721_STRING

### GST_RTP_PAYLOAD_G722_STRING

    #define GST_RTP_PAYLOAD_G722_STRING "9"

### GstRtp.RTP_PAYLOAD_G722_STRING

### GST_RTP_PAYLOAD_G723_53

    #define GST_RTP_PAYLOAD_G723_53 17

### GstRtp.RTP_PAYLOAD_G723_53

### GST_RTP_PAYLOAD_G723_53_STRING

    #define GST_RTP_PAYLOAD_G723_53_STRING "17"

### GstRtp.RTP_PAYLOAD_G723_53_STRING

### GST_RTP_PAYLOAD_G723_63

    #define GST_RTP_PAYLOAD_G723_63 16

### GstRtp.RTP_PAYLOAD_G723_63

### GST_RTP_PAYLOAD_G723_63_STRING

    #define GST_RTP_PAYLOAD_G723_63_STRING "16"

### GstRtp.RTP_PAYLOAD_G723_63_STRING

### GST_RTP_PAYLOAD_G723_STRING

    #define GST_RTP_PAYLOAD_G723_STRING "4"

### GstRtp.RTP_PAYLOAD_G723_STRING

### GST_RTP_PAYLOAD_G728_STRING

    #define GST_RTP_PAYLOAD_G728_STRING "15"

### GstRtp.RTP_PAYLOAD_G728_STRING

### GST_RTP_PAYLOAD_G729_STRING

    #define GST_RTP_PAYLOAD_G729_STRING "18"

### GstRtp.RTP_PAYLOAD_G729_STRING

### GST_RTP_PAYLOAD_GSM_STRING

    #define GST_RTP_PAYLOAD_GSM_STRING "3"

### GstRtp.RTP_PAYLOAD_GSM_STRING

### GST_RTP_PAYLOAD_H261_STRING

    #define GST_RTP_PAYLOAD_H261_STRING "31"

### GstRtp.RTP_PAYLOAD_H261_STRING

### GST_RTP_PAYLOAD_H263_STRING

    #define GST_RTP_PAYLOAD_H263_STRING "34"

### GstRtp.RTP_PAYLOAD_H263_STRING

### GST_RTP_PAYLOAD_JPEG_STRING

    #define GST_RTP_PAYLOAD_JPEG_STRING "26"

### GstRtp.RTP_PAYLOAD_JPEG_STRING

### GST_RTP_PAYLOAD_L16_MONO_STRING

    #define GST_RTP_PAYLOAD_L16_MONO_STRING "11"

### GstRtp.RTP_PAYLOAD_L16_MONO_STRING

### GST_RTP_PAYLOAD_L16_STEREO_STRING

    #define GST_RTP_PAYLOAD_L16_STEREO_STRING "10"

### GstRtp.RTP_PAYLOAD_L16_STEREO_STRING

### GST_RTP_PAYLOAD_LPC_STRING

    #define GST_RTP_PAYLOAD_LPC_STRING "7"

### GstRtp.RTP_PAYLOAD_LPC_STRING

### GST_RTP_PAYLOAD_MP2T_STRING

    #define GST_RTP_PAYLOAD_MP2T_STRING "33"

### GstRtp.RTP_PAYLOAD_MP2T_STRING

### GST_RTP_PAYLOAD_MPA_STRING

    #define GST_RTP_PAYLOAD_MPA_STRING "14"

### GstRtp.RTP_PAYLOAD_MPA_STRING

### GST_RTP_PAYLOAD_MPV_STRING

    #define GST_RTP_PAYLOAD_MPV_STRING "32"

### GstRtp.RTP_PAYLOAD_MPV_STRING

### GST_RTP_PAYLOAD_NV_STRING

    #define GST_RTP_PAYLOAD_NV_STRING "28"

### GstRtp.RTP_PAYLOAD_NV_STRING

### GST_RTP_PAYLOAD_PCMA_STRING

    #define GST_RTP_PAYLOAD_PCMA_STRING "8"

### GstRtp.RTP_PAYLOAD_PCMA_STRING

### GST_RTP_PAYLOAD_PCMU_STRING

    #define GST_RTP_PAYLOAD_PCMU_STRING "0"

### GstRtp.RTP_PAYLOAD_PCMU_STRING

### GST_RTP_PAYLOAD_QCELP_STRING

    #define GST_RTP_PAYLOAD_QCELP_STRING "12"

### GstRtp.RTP_PAYLOAD_QCELP_STRING

### GST_RTP_PAYLOAD_TS41

    #define GST_RTP_PAYLOAD_TS41 19

### GstRtp.RTP_PAYLOAD_TS41

### GST_RTP_PAYLOAD_TS41_STRING

    #define GST_RTP_PAYLOAD_TS41_STRING "19"

### GstRtp.RTP_PAYLOAD_TS41_STRING

### GST_RTP_PAYLOAD_TS48

    #define GST_RTP_PAYLOAD_TS48 18

### GstRtp.RTP_PAYLOAD_TS48

### GST_RTP_PAYLOAD_TS48_STRING

    #define GST_RTP_PAYLOAD_TS48_STRING "18"

### GstRtp.RTP_PAYLOAD_TS48_STRING

The results of the search are